### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions | Protected Attributes
RelativeDateBootstrapHelper< TS > Class Template Reference

Bootstrap helper with date schedule relative to global evaluation date. More...

`#include <ql/termstructures/bootstraphelper.hpp>`

Inheritance diagram for RelativeDateBootstrapHelper< TS >:
[legend]

List of all members.

## Public Member Functions

| RelativeDateBootstrapHelper (const Handle< Quote > &quote)
| RelativeDateBootstrapHelper (Real quote)
Observer interface
void | update ()

## Protected Member Functions

virtual void | initializeDates ()=0

## Protected Attributes

Date | evaluationDate_

## Detailed Description

### template<class TS>
class QuantLib::RelativeDateBootstrapHelper< TS >

Bootstrap helper with date schedule relative to global evaluation date.

Derived classes must takes care of rebuilding the date schedule when the global evaluation date changes

## Member Function Documentation

void update | ( |  | ) | `[virtual]`

This method must be implemented in derived classes. An instance of Observer does not call this method directly: instead, it will be called by the observables the instance registered with when they need to notify any changes.

Reimplemented from BootstrapHelper< TS >.

Reimplemented in CdsHelper.